<?php

if( !defined( 'ABSPATH' ) ) {
    
    exit; // Exit if accessed directly
    
}

WP_Filesystem(  );
global $wp_filesystem;

$alias      = 'autologinafterregister';
$wopshop    = WOPSHOP_PLUGIN_DIR;
$addon      = $wopshop . "site/addons/" . $alias;
$lang       = $wopshop . "site/lang/" . $alias; 

$files = array(
    
    $addon      . "/" .$alias . ".php",
    $addon      . "/index.html",
    $addon      . "/config.tmpl.php",
    $lang       . "/de-DE.php",
    $lang       . "/en-GB.php",
    $lang       . "/ru-RU.php"
    
);

$folders = array( $addon, $lang );

foreach( $files as $file ) {
    
    if( $wp_filesystem->is_file( $file ) ) {

       $wp_filesystem->delete( $file );

    } 
  
}

foreach( $folders as $folder ) {
    
    if( $wp_filesystem->is_dir( $folder ) ) {

       $wp_filesystem->delete($folder, true); 

    }
 
}